[README] Unsupported class file major version 57

Support for Synology NAS, QNAP NAS and other Embedded Linux systems
Post Reply
snowybunting
Posts: 9
Joined: 19 Sep 2019, 17:17

[README] Unsupported class file major version 57

Post by snowybunting » 25 Sep 2019, 00:01

I've gotten filebot to work renaming files on my DSM 918+ with this basic script:

Code: Select all

 filebot -rename *.mkv -non-strict
...but if I try to run any script (fn:amc, fn:sysinfo, etc.), I get this error:

Code: Select all

filebot -script 'fn:amc' '/volume1/Media/USB_TV/American Horror Story/Season 01' --output '/volume1/Media/TV/American Horror Story' --action move --order Airdate --conflict auto --lang en --def 'ut_label=TV' 'music=y' 'unsorted=y' 'artwork=y' 'skipExtract=y' 'excludeList=.excludes' --log all --log-file '/usr/local/filebot-node/data/filebot.log'

------------------------------------------

Locking /usr/local/filebot-node/data/filebot.log
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.codehaus.groovy.vmplugin.v7.Java7$1 (file:/volume1/@appstore/filebot/jar/groovy.jar) to constructor java.lang.invoke.MethodHandles$Lookup(java.lang.Class,int)
WARNING: Please consider reporting this to the maintainers of org.codehaus.groovy.vmplugin.v7.Java7$1
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
BUG! exception in phase 'semantic analysis' in source unit 'Script1.groovy' Unsupported class file major version 57
BUG! exception in phase 'semantic analysis' in source unit 'Script1.groovy' Unsupported class file major version 57
	at net.filebot.cli.ScriptShell.evaluate(ScriptShell.java:64)
	at net.filebot.cli.ScriptShell.runScript(ScriptShell.java:74)
	at net.filebot.cli.ArgumentProcessor.runScript(ArgumentProcessor.java:163)
	at net.filebot.cli.ArgumentProcessor.run(ArgumentProcessor.java:37)
	at net.filebot.Main.main(Main.java:132)
Caused by: java.lang.IllegalArgumentException: Unsupported class file major version 57
	at groovyjarjarasm.asm.ClassReader.<init>(ClassReader.java:184)
	at groovyjarjarasm.asm.ClassReader.<init>(ClassReader.java:166)
	at groovyjarjarasm.asm.ClassReader.<init>(ClassReader.java:152)
	at groovyjarjarasm.asm.ClassReader.<init>(ClassReader.java:273)
	... 5 more

Error (o_O)
------------------------------------------

[Process error]
That was using filenode, it's basically the same if I do a simple "filebot -script fn:amc *.mkv -non-strict". Not certain where to go from here, so any help is appreciated.

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Filebot not working great on Synology

Post by rednoah » 26 Sep 2019, 10:13

Have you tried upgrading both FileBot and Java to the latest and greatest?

i.e. FileBot 4.8.6 (latest beta) and Java 13 (latest release)
:idea: Please read the FAQ and How to Request Help.

snowybunting
Posts: 9
Joined: 19 Sep 2019, 17:17

Re: Filebot not working great on Synology

Post by snowybunting » 26 Sep 2019, 16:31

It seems as if I do:

Code: Select all

[email protected]:~$ filebot -version
FileBot 4.8.5 (r6224) / OpenJDK Runtime Environment 13 / Linux 4.4.59+ (amd64)

Code: Select all

[email protected]:~$ java -version
openjdk version "13" 2019-09-17
OpenJDK Runtime Environment (build 13+33)
OpenJDK 64-Bit Server VM (build 13+33, mixed mode, sharing)

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Filebot not working great on Synology

Post by rednoah » 26 Sep 2019, 16:56

FileBot 4.8.6 (latest beta) is available here:
https://get.filebot.net/filebot/BETA/


:idea: The FileBot 4.8.5 release (released a few months ago) does not seem to be completely forwards-compatible with Java 13 (released this week). Please try the latest beta (released this week).
:idea: Please read the FAQ and How to Request Help.

snowybunting
Posts: 9
Joined: 19 Sep 2019, 17:17

Re: Filebot not working great on Synology

Post by snowybunting » 26 Sep 2019, 17:03

Oops, I guess I don't:

Required:
i.e. FileBot 4.8.6 (latest beta)

Have:
FileBot 4.8.5 (r6224)

I have Filebot set to "Auto Update", I'm not seeing another way to get version 4.8.6. I did a search for "update-filebot.sh" that I saw referenced in the forums here, but I apparently don't have that file. I hate to seem like I need hand-holding, but I'm fairly new to Synology and am learning as I go. What is the process for updating Filebot?

edit: OK, just saw your reply. Thanks, and I'll report back with (hopefully) my success story.

snowybunting
Posts: 9
Joined: 19 Sep 2019, 17:17

Re: Filebot not working great on Synology

Post by snowybunting » 26 Sep 2019, 17:15

rednoah wrote:
26 Sep 2019, 16:56
FileBot 4.8.6 (latest beta) is available here:
https://get.filebot.net/filebot/BETA/


:idea: The FileBot 4.8.5 release (released a few months ago) does not seem to be completely forwards-compatible with Java 13 (released this week). Please try the latest beta (released this week).


OK, that worked, thank you very much.

User avatar
RobEh
Posts: 4
Joined: 02 Sep 2018, 15:26

Re: Unsupported class file major version 57

Post by RobEh » 05 Oct 2019, 17:23

what about a qpkg for Qnap?

Disregard, I found it. Just didn't look hard enough.

Thanks

tyros
Posts: 3
Joined: 12 Oct 2019, 23:35

Re: Unsupported class file major version 57

Post by tyros » 12 Oct 2019, 23:39

I'm also getting the same error on Synology DSM. Using the latest filebot 4.8.5, installed from Package Center using https://get.filebot.net/syno/ as package source.

Code: Select all

[email protected]:/$ filebot -version
FileBot 4.8.5 (r6224) / OpenJDK Runtime Environment 13 / Linux 4.4.59+ (amd64)
[email protected]:/$ java -version
openjdk version "13" 2019-09-17
OpenJDK Runtime Environment (build 13+33)
OpenJDK 64-Bit Server VM (build 13+33, mixed mode, sharing)
How do I install the beta 4.8.6 on Synology?

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Unsupported class file major version 57

Post by rednoah » 13 Oct 2019, 01:03

You can download the latest SPK from here and then install it via DSM:
https://get.filebot.net/filebot/BETA/

Image
:idea: Please read the FAQ and How to Request Help.

tyros
Posts: 3
Joined: 12 Oct 2019, 23:35

Re: Unsupported class file major version 57

Post by tyros » 13 Oct 2019, 01:06

rednoah wrote:
13 Oct 2019, 01:03
You can download the latest SPK from here and then install it via DSM:
https://get.filebot.net/filebot/BETA/
Tried that, I get "Operation failed" message. No details why it fails. I wish DSM would give me more details, perhaps there's a log file somewhere?

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Unsupported class file major version 57

Post by rednoah » 13 Oct 2019, 01:43

IDK. You'd have to ask Synology Support for details on how their DSM software works and where you might be able to find logs.



:idea: The SPK package definitely works though. I've got an automated install script that checks.


install-filebot-spk.sh

Code: Select all

# Download & Install SPK
FILE=/tmp/FileBot.spk
curl -f -L -o $FILE -z $FILE https://get.filebot.net/filebot/BETA/FileBot_4.8.6.spk
sudo synopkg install $FILE

# TEST
filebot -script fn:sysinfo
:idea: Please read the FAQ and How to Request Help.

tyros
Posts: 3
Joined: 12 Oct 2019, 23:35

Re: Unsupported class file major version 57

Post by tyros » 13 Oct 2019, 01:57

rednoah wrote:
13 Oct 2019, 01:43
IDK. You'd have to ask Synology Support for details on how their DSM software works and where you might be able to find logs.



:idea: The SPK package definitely works though. I've got an automated install script that checks.


install-filebot-spk.sh

Code: Select all

# Download & Install SPK
FILE=/tmp/FileBot.spk
curl -f -L -o $FILE -z $FILE https://get.filebot.net/filebot/BETA/FileBot_4.8.6.spk
sudo synopkg install $FILE

# TEST
filebot -script fn:sysinfo
Thanks, that worked.

Do you know when this version will be out of beta?

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Unsupported class file major version 57

Post by rednoah » 13 Oct 2019, 02:01

Not yet. Maybe end of October. But since macOS Catalina is breaking things, maybe give it an extra month.
:idea: Please read the FAQ and How to Request Help.

xaeiou
Posts: 1
Joined: 22 Oct 2019, 06:24

Re: Unsupported class file major version 57

Post by xaeiou » 22 Oct 2019, 06:34

I had the same problem as the thread starter and can confirm 4.8.6 fixes it. Thanks!

I installed manually via DSM GUI (DSM 6.2.2-24922 Update 3) without any issues - didn't need to install via the script.

Maybe this thread is worth pinning as I expect almost everyone on Synology is going to hit this issue right now.

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Unsupported class file major version 57

Post by rednoah » 22 Oct 2019, 10:14

Pinned.
:idea: Please read the FAQ and How to Request Help.

networkcrasher
Posts: 4
Joined: 23 Oct 2018, 04:10

Re: [README] Unsupported class file major version 57

Post by networkcrasher » 10 Nov 2019, 06:42

Having the same issue on Qnap and can't seem to download the beta? https://get.filebot.net/filebot/BETA/FileBot_4.8.6.qpkg gives me a not found, although I found it by just going to the index at https://get.filebot.net/filebot/BETA/

It shows the file size but doesn't seem to want to let me download it.

I see 4.9 so I'll try that, but didn't want to go that far up if I didn't have to.

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: [README] Unsupported class file major version 57

Post by rednoah » 10 Nov 2019, 11:06

Yep, 4.9.0 is the way to go now, and scheduled for final release end of November. The older 4.8.6 builds have been removed.
:idea: Please read the FAQ and How to Request Help.

Al3x
Posts: 19
Joined: 19 Aug 2014, 19:32

Re: [README] Unsupported class file major version 57

Post by Al3x » 03 Dec 2019, 18:14

Same issue, the GUI worked when I downloaded the 4.9*.spk version for Synology for others reading this thread, not the *.qpkg.

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: [README] Unsupported class file major version 57

Post by rednoah » 04 Dec 2019, 04:15

*.spk ➔ Synology Package
*.qpkg ➔ QNAP Package

Please choose the appropriate package for your NAS device.
:idea: Please read the FAQ and How to Request Help.

plittlefield
Posts: 96
Joined: 09 Mar 2014, 19:15

Re: [README] Unsupported class file major version 57

Post by plittlefield » 15 Jan 2020, 12:08

Hi,

Same here this morning, after it has successfully renamed and copied a file...

Code: Select all

BUG! exception in phase 'semantic analysis' in source unit 'Script1.groovy' 133
BUG! exception in phase 'semantic analysis' in source unit 'Script1.groovy' 133
        at net.filebot.cli.ScriptShell.evaluate(ScriptShell.java:64)
        at net.filebot.cli.ScriptShell.runScript(ScriptShell.java:74)
        at net.filebot.cli.ArgumentProcessor.runScript(ArgumentProcessor.java:173)
        at net.filebot.cli.ArgumentProcessor.run(ArgumentProcessor.java:44)
        at net.filebot.Main.main(Main.java:136)
Caused by: java.lang.ArrayIndexOutOfBoundsException: 133
        at groovyjarjarasm.asm.ClassReader.readUtf(ClassReader.java:3462)
        at groovyjarjarasm.asm.ClassReader.readUtf(ClassReader.java:3442)
        at groovyjarjarasm.asm.ClassReader.readUTF8(ClassReader.java:3423)
        at groovyjarjarasm.asm.ClassReader.readConst(ClassReader.java:3600)
        at groovyjarjarasm.asm.ClassReader.readField(ClassReader.java:873)
        at groovyjarjarasm.asm.ClassReader.accept(ClassReader.java:683)
        at groovyjarjarasm.asm.ClassReader.accept(ClassReader.java:400)
        ... 5 more

Error (o_O)

Paully

FileBot 4.9.0 (r6899)
JNA Native: 4.0.1
MediaInfo: 19.09
p7zip: p7zip Version 9.20 (locale=en_GB.UTF-8,Utf16=on,HugeFiles=on,4 CPUs)
unrar: UNRAR 5.30 beta 2 freeware
Chromaprint: java.io.IOException: Cannot run program "fpcalc": error=2, No such file or directory
Extended Attributes: OK
Unicode Filesystem: OK
Script Bundle: 2020-01-06 (r614)
Groovy: 2.5.8
JRE: OpenJDK Runtime Environment 1.8.0_232
JVM: 64-bit OpenJDK 64-Bit Server VM
CPU/MEM: 4 Core / 3.7 GB Max Memory / 33 MB Used Memory
OS: Linux (amd64)
HW: Linux nas 4.15.0-15-generic #16~16.04.1-Ubuntu SMP Thu Apr 5 12:19:23 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
DATA: /home/paully/.filebot
Package: DEB
License: FileBot License P8*****3 (Valid-Until: 2020-07-31)
Done ヾ(@⌒ー⌒@)ノ

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: [README] Unsupported class file major version 57

Post by rednoah » 15 Jan 2020, 12:17

Unfortunately, Groovy 2.5.8 is not fully compatible with Java 8:

Code: Select all

Groovy: 2.5.8
JRE: OpenJDK Runtime Environment 1.8.0_232

:arrow: Please upgrade to the latest Java 13 via our Java Installer package.
:idea: Please read the FAQ and How to Request Help.

plittlefield
Posts: 96
Joined: 09 Mar 2014, 19:15

Re: [README] Unsupported class file major version 57

Post by plittlefield » 15 Jan 2020, 12:29

OK, will this install side-by-side with 8 because I run a Unifi Controller for my house WiFi which depends on 8..?

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: [README] Unsupported class file major version 57

Post by rednoah » 15 Jan 2020, 12:38

plittlefield wrote:
15 Jan 2020, 12:29
OK, will this install side-by-side with 8 because I run a Unifi Controller for my house WiFi which depends on 8..?
No idea. You can certainly have both installed, but the java command will be whatever appears in the $PATH first.

:idea: You may have to force one or the other to run the appropriate /absolute/path/to/java executable by modifying filebot or 3rd party launch scripts. If you're lucky, your 3rd party tool already uses absolute paths for the Synology Java package, thus making this a non-issue.
:idea: Please read the FAQ and How to Request Help.

plittlefield
Posts: 96
Joined: 09 Mar 2014, 19:15

Re: [README] Unsupported class file major version 57

Post by plittlefield » 15 Jan 2020, 12:48

Ah ha!

Yes, the Unifi Controller script has this in its startup script...

Code: Select all

$ grep 'JAVA_HOME' /etc/init.d/unifi
        JAVA_HOME=/usr/lib/jvm/java-8-openjdk-${arch}
...so I think we may be OK.

Where is the Java Installer package you mention?

Can I install Java 13 my own way if I need to?

Cheers,

Paul

User avatar
rednoah
The Source
Posts: 18320
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: [README] Unsupported class file major version 57

Post by rednoah » 15 Jan 2020, 13:13

You can install it via the package repository:
https://www.filebot.net/linux/syno.html

You can of course also just download and extract the binaries and then link the command in the path.
:idea: Please read the FAQ and How to Request Help.

Post Reply